Subject: Re: [bug#49868] [PATCH 0/2] guix: dune-build-system: Add a profile parameter.

From: Julien Lepiller <[email-masked]>
Date: Tue, 07 Sep 2021 07:06:20 -0400

Instead of reverting, coull you senl a patch on top of master, that simply replaces the flag?

Le 7 septembre 2021 05:33:39 GMT-04:00, pukkamustard <[email-masked]> a écrit :
>
>I suggest reverting commit 33a1ec29fa0ad72c61cef13c8af08c847eb399c1
>('guix: dune-build-system: Add a profile parameter.') and instead
>applying attached patch.
>
>The attached patch sets the '--release' flag instead of '--profile
>release'. From 'dune --help':
>
>--8<---------------cut here---------------start------------->8---
>--release
>   Put dune into a reproducible release mode. This is in fact a
>   shorthand for --root . --ignore-promoted-rules --no-config
>   --profile release --always-show-command-line
>   --promote-install-files --default-target @install. You should use
>   this option for release builds. For instance, you must use this
>   option in your <package>.opam files. Except if you already use -p,
>   as -p implies this option.
>--8<---------------cut here---------------end--------------->8---
>
>I think this is what we want.
>
>Setting '--profile release' was not enough and was causing
>inconsistencies with packages that were building with the '-p' flag.
>
>-pukkamustard
>